<div class="annotation-toggles">
  <div #hideNavigation>
    <mat-button-toggle-group vertical="false" [value]="navigationHidden">
      <mat-button-toggle
        class="toggle-blue"
        (click)="toggleNavigation()"
        matTooltip="Show / hide navigation panels">
        <mat-icon>{{ navigationHidden ? 'fullscreen_exit' : 'fullscreen' }}</mat-icon>
      </mat-button-toggle>
    </mat-button-toggle-group>
  </div>
  <mat-button-toggle-group
    vertical="false"
    matTooltip="Examination is closed, annotation drawing is not possible!"
    [matTooltipDisabled]="!isExaminationClosed"
    [value]="activeTool"
    (change)="onToggleSelectionChange($event)">
    <mat-button-toggle
      data-cy="annotation-move-button"
      class="toggle-blue"
      [value]="InteractionType.Move"
      [disabled]="allowedToolsSet.size ? !allowedToolsSet.has(InteractionType.Move) : false"
      matTooltip="Move"
      [matTooltipPosition]="isExaminationClosed ? 'left' : 'below'">
      <mat-icon class="material-icons-outlined">back_hand</mat-icon>
    </mat-button-toggle>
    <mat-button-toggle
      data-cy="annotation-point-button"
      class="toggle-blue"
      [value]="DrawType.Point"
      [disabled]="allowedToolsSet.size ? !allowedToolsSet.has(DrawType.Point) : false"
      matTooltip="Create point annotation"
      [matTooltipDisabled]="isExaminationClosed">
      <svg
        width="24"
        height="24"
        fill="currentColor"
        viewBox="0 0 24 24">
        <circle
          r="6"
          cx="12"
          cy="12"
          fill="currentColor"></circle>
      </svg>
    </mat-button-toggle>
    <mat-button-toggle
      data-cy="annotation-circle-button"
      class="toggle-blue"
      [value]="DrawType.Circle"
      [disabled]="allowedToolsSet.size ? !allowedToolsSet.has(DrawType.Circle) : false"
      matTooltip="Draw circular annotation"
      [matTooltipDisabled]="isExaminationClosed"
      data-testid="tool-circle">
      <svg
        width="24"
        height="24"
        fill="currentColor"
        viewBox="0 0 24 24">
        <path d="M12,20A8,8 0 0,1 4,12A8,8 0 0,1 12,4A8,8 0 0,1 20,12A8,8 0 0,1 12,20M12,2A10,10 0 0,0 2,12A10,10 0 0,0 12,22A10,10 0 0,0 22,12A10,10 0 0,0 12,2Z"></path>
      </svg>
    </mat-button-toggle>
    <mat-button-toggle
      data-cy="annotation-rectangle-button"
      class="toggle-blue"
      [value]="DrawType.Rectangle"
      [disabled]="allowedToolsSet.size ? !allowedToolsSet.has(DrawType.Rectangle) : false"
      matTooltip="Draw rectangular annotation"
      [matTooltipDisabled]="isExaminationClosed">
      <svg
        width="24"
        height="24"
        fill="currentColor"
        viewBox="0 0 24 24">
        <path d="M18,18H6V6H18M18,4H6A2,2 0 0,0 4,6V18A2,2 0 0,0 6,20H18A2,2 0 0,0 20,18V6C20,4.89 19.1,4 18,4Z"></path>
      </svg>
    </mat-button-toggle>
    <mat-button-toggle
      data-cy="annotation-polygon-button"
      class="toggle-blue"
      [value]="DrawType.Polygon"
      [disabled]="allowedToolsSet.size ? !allowedToolsSet.has(DrawType.Polygon) : false"
      matTooltip="Draw polygonal annotation"
      [matTooltipDisabled]="isExaminationClosed">
      <mat-icon class="material-icons-outlined">linear_scale</mat-icon>
    </mat-button-toggle>
    <mat-button-toggle
      data-cy="annotation-polygon-alternative-button"
      class="toggle-blue"
      [value]="DrawType.PolygonAlternative"
      [disabled]="allowedToolsSet.size ? !allowedToolsSet.has(DrawType.PolygonAlternative) : false"
      matTooltip="Draw polygon annotation via multiple clicks"
      [matTooltipDisabled]="isExaminationClosed">
      <mat-icon class="material-icons-outlined">hexagon</mat-icon>
    </mat-button-toggle>
    <mat-button-toggle
      *ngIf="false"
      class="toggle-blue"
      [value]="DrawType.LineString"
      [disabled]="allowedToolsSet.size ? !allowedToolsSet.has(DrawType.LineString) : false"
      matTooltip="Use ruler to measure">
      <!-- source of image: https://www.svgrepo.com/svg/137569/scale -->
      <svg
        width="24"
        height="24"
        fill="currentColor"
        viewBox="0 0 203.544 203.544">
        <path
          style="fill:#010002;"
          d="M41.717,0L0.002,41.722l161.821,161.821l41.719-41.719L41.717,0z M41.717,8.049l153.78,153.776
			l-33.673,33.673l-4.452-4.459l23.245-23.255c0.92-0.913,0.92-2.391,0-3.303c-0.913-0.913-2.391-0.923-3.303,0l-23.255,23.245
			l-7.233-7.226l14.974-14.977c0.916-0.913,0.916-2.394,0-3.307c-0.92-0.923-2.387-0.923-3.307,0l-14.977,14.97l-5.973-5.98
			l14.974-14.967c0.905-0.913,0.905-2.405,0-3.314c-0.923-0.913-2.405-0.913-3.321,0l-14.967,14.967l-5.73-5.726l14.97-14.97
			c0.916-0.913,0.916-2.391,0-3.303c-0.913-0.923-2.391-0.923-3.31,0l-14.974,14.97l-6.471-6.488l23.252-23.245
			c0.913-0.923,0.913-2.405,0-3.314c-0.923-0.913-2.398-0.913-3.314,0l-23.248,23.255l-4.477-4.481l15.729-15.718
			c0.913-0.913,0.913-2.391-0.011-3.314c-0.909-0.913-2.387-0.913-3.303,0l-15.725,15.729l-5.977-5.98l15.722-15.729
			c0.916-0.913,0.916-2.391,0-3.303c-0.913-0.923-2.391-0.923-3.303,0l-15.729,15.718l-5.726-5.726l15.722-15.718
			c0.916-0.923,0.916-2.401,0-3.314c-0.916-0.913-2.398-0.913-3.31,0l-15.725,15.718l-6.546-6.546L106,93.147
			c0.913-0.913,0.905-2.391-0.011-3.303c-0.913-0.913-2.394-0.913-3.303-0.011l-23.255,23.259l-7.226-7.229l14.967-14.977
			c0.916-0.913,0.916-2.391-0.011-3.303c-0.902-0.923-2.384-0.913-3.296,0l-14.974,14.967l-5.984-5.98l14.977-14.967
			c0.905-0.913,0.905-2.401,0-3.303c-0.916-0.923-2.394-0.923-3.307-0.011L59.611,93.265l-5.73-5.737l14.963-14.967
			c0.92-0.913,0.913-2.391,0-3.314c-0.905-0.909-2.387-0.909-3.303,0L50.575,84.225l-6.481-6.474l23.255-23.259
			c0.905-0.913,0.905-2.401-0.004-3.314c-0.916-0.913-2.398-0.913-3.314,0L40.786,74.433l-4.47-4.477l15.718-15.718
			c0.913-0.913,0.913-2.391,0-3.303c-0.916-0.923-2.394-0.923-3.314,0L32.999,66.653l-5.973-5.977l15.718-15.718
			c0.916-0.923,0.916-2.401,0-3.314c-0.913-0.913-2.391-0.913-3.31,0L23.722,57.362l-5.737-5.726l15.722-15.729
			c0.916-0.902,0.916-2.384,0-3.303c-0.916-0.913-2.394-0.913-3.307,0L14.672,48.332l-6.617-6.628L41.717,8.049z"></path>
      </svg>
    </mat-button-toggle>
  </mat-button-toggle-group>
  <mat-button-toggle-group [value]="annotationClassesPalettesMenuVisible">
    <mat-button-toggle
      class="toggle-annotation-classes-palettes-menu"
      [matMenuTriggerFor]="annotationClassesPalettesMenu"
      [value]="true"
      (click)="$event.stopPropagation()"
    >
      <mat-icon>palette</mat-icon>
      <mat-icon>{{ annotationClassesPalettesMenuVisible ? 'expand_more' : 'chevron_right' }}</mat-icon>
    </mat-button-toggle>
  </mat-button-toggle-group>
  <mat-menu
    #annotationClassesPalettesMenu="matMenu"
    yPosition="below"
    class="annotationClassesPalettesMenu"
    hasBackdrop="false"
  >
    <div svmCloseElement [open]="annotationClassesPalettesMenuVisible" (closeElement)="onClosePalette()">
      <mat-slider class="annotationStrokeWidthSlider"
                  min="1"
                  max="6"
                  step="1"
                  [value]="annotationStrokeWidth"
                  (valueChange)="annotationStrokeWidthSliderChanged($event)"
                  (click)="$event.stopPropagation()"
                  tickInterval="1"
                  matTooltip="Annotation Stroke Width">
      </mat-slider>
      <button
        mat-menu-item
        *ngFor="let app of annotationPalettes"
        (click)="activateAnnotationColorPalette(app, $event)">
        <svm-annotation-color-palette
          [annotationPalette]="app"
          class="{{isCurrentAnnotationColorPalette(app)?'current-annotation-color-palette':''}}">
        </svm-annotation-color-palette>
      </button>
    </div>
  </mat-menu>
</div>
